=== debian/changelog ===
ocaml-data-notation (0.0.6-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:46 -0600

ocaml-data-notation (0.0.6-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jun 2011 17:57:16 +0200

ocaml-data-notation (0.0.3-1) unstable; urgency=low

  * New upstream version
  * Install pa*.cma into libodn-ocaml-dev (Closes: #617260)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 22 Nov 2010 16:06:37 +0100

ocaml-data-notation (0.0.2-2) unstable; urgency=low

  * Fix double installation of *.cma files

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 19 Nov 2010 12:53:42 +0100

ocaml-data-notation (0.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #603828)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 19 Nov 2010 12:37:42 +0100
