## ocaml-data-notation 0.0.7

=== debian/changelog ===
ocaml-data-notation (0.0.7-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - remove 0001-Use-lid-in-quotations-instead-of-Gen.id-pe.patch which
      is no longer needed since integrated into upstream's sources.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 17:33:32 +0100

ocaml-data-notation (0.0.6-2) unstable; urgency=low

  * Team upload
  * Fix FTBFS with type-conv >= 3.0.1
    - add version in (build-)dependency to type-conv
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Nov 2011 10:41:33 +0100
