=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev,
+  libtype-conv-camlp4-dev (>= 2.3.0),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
   debhelper (>= 7.0.50~),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://forge.ocamlcore.org/projects/odn
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
