## ocaml-data-notation 0.0.8

=== debian/changelog ===
ocaml-data-notation (0.0.8-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 08:10:16 +0200
