## ocaml-data-notation 0.0.9

=== debian/changelog ===
ocaml-data-notation (0.0.9-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #713342)
    - bump type-conv requirement
  * Bump debhelper compat level to 9
  * Update Vcs-*
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jun 2013 17:18:40 +0200
