=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev (>= 2.3.0),
+  libtype-conv-camlp4-dev (>= 3.0.5),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
+  debhelper (>= 9),
   camlp4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/odn
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
 
 Package: libodn-ocaml-dev
 Architecture: any
