## ocaml-data-notation 0.0.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ################################################################################
-#  ODN: Dump data using OCaml notation                                         #
+#  ocaml-data-notation: Store data using OCaml notation                        #
 #                                                                              #
 #  Copyright (C) 2009-2011, OCamlCore SARL                                     #
+#  Copyright (C) 2013, Sylvain Le Gall                                         #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
@@ -19,12 +20,10 @@
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
 ################################################################################
 
-test: build
-
-#TESTFLAGS=-verbose 
+default: test
 
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
 
 SETUP = ocaml setup.ml
 
@@ -37,7 +36,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -49,10 +48,10 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
@@ -62,30 +61,67 @@
 
 # OASIS_STOP
 
+# Precommit target
+#  Check style of code.
+PRECOMMIT_ARGS= \
+	    --exclude myocamlbuild.ml \
+	    --exclude setup.ml \
+	    --exclude README.txt \
+	    --exclude INSTALL.txt \
+	    --exclude Makefile \
+	    --exclude configure \
+	    --exclude _tags
+
+precommit:
+	@if command -v OCamlPrecommit > /dev/null; then \
+	  OCamlPrecommit $(PRECOMMIT_ARGS); \
+	else \
+	  echo "Skipping precommit checks.";\
+	fi
+
+precommit-full:
+	OCamlPrecommit --full $(PRECOMMIT_ARGS)
+
+test: precommit
+
+.PHONY: precommit
+
+# Fix perms target
+#  Fix missing permission for darcs VCS files.
+fix-perms:
+	# TODO: chmod +x doc-dist.sh
+
+.PHONY: fix-perms
+
+# Headache target
+#  Fix license header of file.
+
 headache:
-	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -type f \
+	find ./ \
+	  -name _darcs -prune -false \
+	  -o -name .git -prune -false \
+	  -o -name .svn -prune -false \
+	  -o -name _build -prune -false \
+	  -o -name dist -prune -false \
+	  -o -name '*[^~]' -type f \
 	  | xargs headache -h _header -c _headache.config
 
 .PHONY: headache
 
-# Source distribution
+# Deploy target
+#  Deploy/release the software.
 
-dist: setup.data
-	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
-	  echo E: Uncommited changes >&2 ; exit 1; \
-	fi
-	$(MAKE) test
-	$(MAKE) dist-step2
+deploy: headache fix-perms
+	# TODO: create a plugin to create documentation.
+	# oasis doc-dist
+	admin-gallu-deploy --verbose \
+	  --forge_upload --forge_group odn --forge_package ocaml-data-notation \
+	  --forge_user gildor-admin
+	# TODO: when oasis doc-dist will work, re-add.
+	#  --forge_extra_file "dist/ocaml-data-notation-doc-$(shell oasis query version).tar.gz"
+	# TODO: create a plugin to send announcement.
+	# oasis announce
+	admin-gallu-oasis-increment \
+	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
 
--include setup.data
-dist-step2:
-	darcs dist --dist-name $(pkg_name)-$(pkg_version)
-	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
-	  darcs tag "$(pkg_version)"; \
-	else \
-	  echo W: Version $(pkg_version) already tagged >&2; \
-	fi 
-	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"
-
-.PHONY: dist dist-step2
+.PHONY: deploy
