=== debian/changelog ===
ocaml-data-notation (0.0.11-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:21:53 +0200

ocaml-data-notation (0.0.11-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 19:37:50 +0200

ocaml-data-notation (0.0.11-1) unstable; urgency=low

  * Team upload
  * Upload to unstable
  * New upstream release (Closes: #731404)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 12:46:58 +0100

ocaml-data-notation (0.0.10-1) experimental; urgency=low

  * Team upload
  * New upstream release
    - bump type-conv requirement

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Jul 2013 09:46:22 +0200
