=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   ocaml-base-nox,
-  libtype-conv-camlp4-dev (>= 3.0.5),
+  libtype-conv-camlp4-dev (>= 108.07.01),
   libounit-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.0),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
+  ocamlbuild,
   camlp4
 Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/odn
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-data-notation.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-data-notation.git
 
 Package: libodn-ocaml-dev
 Architecture: any
