=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export OCAMLFIND_DESTDIR
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
